<?php
/*
* Test file for mod_extrodomaincheck
*
* This file checks whether you can establish remote connections via PHP fsockopen.
*
* If this test is passed, then most likely the eXtro DomainChecker will work on your system. 
*
*/

echo '<strong>System requirements check for eXtro DomainCheck</strong><br>This script checks whether your server allows outbound connections.<br><br>';

$domain = 'whois.verisign-grs.com';
$port = 43;

$passed = true;

$con = @fsockopen($domain, $port, $errno, $errstr, 60);

if (!$con) { echo 'FSockOpen test - <strong>failed!</strong><br>'; $passed = false; }
if ($con) { echo 'FSockOpen test - <strong>passed!</strong><br>'; fclose($con); }

$host = @gethostbynamel($domain);

if (isset($host[0]) && $host != false ) { echo 'Get Hostname test - <strong>passed!</strong><br>'; }
if (!isset($host[0]) && $host == false ) { echo 'Get Hostname test - <strong>failed!</strong><br>'; $passed = false; }

echo '<br><br>';

if ($passed == true) { echo '<strong>Congratulations</strong>, your server seems to be able to establish outbound connections.<br>Chances are good that the eXtro Domaincheck will work correctly on your server.'; }
if ($passed == false) { echo '<strong>Sorry</strong>, your server seems to have at least one problem in establishing outbound connections.<br>Please check your server configuration regarding outbound connections.<br>(Firewall rules, PHP deactivated functions, fopen not allowed, etc.)'; }

?>